﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace IssueReproduction
{
  /// <summary>
  /// Logique d'interaction pour UserControl1.xaml
  /// </summary>
  public partial class UserControl1 : UserControlWithAButton, INotifyPropertyChanged, IControlWithAButton
  {
    public UserControl1()
    {
      this.DataContext = this;
      InitializeComponent();
    }

    private DateTime _theDate;

    public DateTime TheDate
    {
      get
      {
        return _theDate;
      }
      set
      {
        if (TheDate != value)
        {
          _theDate = value;
          OnPropertyChanged("TheDate");
        }
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
    }


    private Button myButton;
    public Button TheButton
    {
      get
      {
        if (myButton == null)
        {
          myButton = new Button() { Content = "Say Hello" };
          myButton.Click += (s, e) => { MessageBox.Show("Hello"); };
        }
        return myButton;
      }
      set
      {
        throw new NotImplementedException();
      }
    }
  }
}
