﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace IssueReproduction
{
  /// <summary>
  /// Logique d'interaction pour Window1.xaml
  /// </summary>
  public partial class Window1 : Window, INotifyPropertyChanged
  {
    public Window1()
    {
      this.DataContext = this;
      InitializeComponent();
    }
    private object _myUserControl;
    public object MyUserControl
    {
      get
      {
        return _myUserControl;
      }
      set
      {
        if (_myUserControl != value)
        {
          _myUserControl = value;
          OnPropertyChanged("MyUserControl");
        }
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
      {
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      MyUserControl = new UserControl1();
    }

    private void Button_Click_2(object sender, RoutedEventArgs e)
    {
      MyUserControl = null;
    }
  }
}
